using System.Collections.Generic;
using System.Threading.Tasks;
using communicate_rental_backend_dev.Models.Database;

namespace communicate_rental_backend_dev.BusinessLogic.Services
{
    public interface IAllocationService
    {
        Task Allocate(AllocationPeriod allocationPeriod);
        Task<Booking> GetBookingWithHighestPriority(List<Booking> bookings);
        Task<IEnumerable<Booking>> GetBookingRequests(AllocationPeriod allocation);
        Task<int> GetUserPointsFromBooking(string userId);
        Task DeleteBookingsWithConflicts(Booking allocatedBooking, Booking request);
        bool CheckForConflictingBookings(Booking allocatedBooking, Booking request);
    }
}
