using System.Collections.Generic;
using System.Threading.Tasks;
using communicate_rental_backend_dev.Models.Database;
using MimeKit;

namespace communicate_rental_backend_dev.BusinessLogic.Services
{
    public interface IEmailService
    {
        bool SendBookingConfirmation(MailboxAddress toUserEmail, Booking booking);
        bool SendBookingCancellation(MailboxAddress toUserEmail, Booking booking);
        bool SendDeadlineReminder(MailboxAddress toUserEmail, AllocationPeriod allocationPeriod);
        bool SendChecklistReminder(MailboxAddress toUserEmail, string bookingTitle);
        bool SendEmail(MimeMessage message);
        Task<bool> SendListOfBookingsToAccountant(MailboxAddress toUserEmail, List<Booking> bookings);
    }
}