using System.Collections.Generic;
using System.IO;
using System.Threading.Tasks;

namespace communicate_rental_backend_dev.Clients
{
    public interface IBlobStorageClient
    {
        Task<bool> DeleteBlob(string containerName, string fileName);
        Task<bool> DeleteContainer(string containerName);

        // Task<List<IListBlobItem>> GetBlobAsync(string blobContainer)
        Task<IEnumerable<string>> GetAllURLs(string containerName);
        Task<string> GetContainerUri(string containerName);
        Task<string> GetURL(string containerName, string filename);
        Task<bool> UploadBlobAsync(Stream fileStream, string blobName, string containerName);
        Task<bool> UploadBlobAsync(string content, string blobName, string containerName);
    }
}
