using Microsoft.Azure.Cosmos.Table;
using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using System.Threading.Tasks;

// Generic class that doesn't care about what kinda data it takes in 
// Everything goes through this one to table storage 
namespace communicate_rental_backend_dev.Clients
{
    public interface ITableStorageClient<T> where T : TableEntity
    {
        Task<T> GetById(string rowKey, string partitionKey);
        Task<IEnumerable<T>> GetAll();
        Task Upsert(T entity, string rowKey, string partitionKey);
        // Task Upsert(IEnumerable<T> entities);
        // Task UpsertFromFile(string filePath);
        Task Delete(string rowKey, string partitionKey);
        Task<IEnumerable<T>> GetByPredicate(Expression<Func<T, bool>> predicate);
    }
}