using System;
using communicate_rental_backend_dev.Models.DataReceiving;
using communicate_rental_backend_dev.Models.Database;

namespace communicate_rental_backend_dev.Mappers
{
    public class FeedbackMapper : IFeedbackMapper 
    {
        /// <summary>
        /// add id to DRO model -> db
        /// </summary>
        /// <param name="feedbackDRO"></param>
        /// <returns></returns>
        public Feedback Map(FeedbackDRO feedbackDRO)
        {
            return new Feedback
            {
                Id = Guid.NewGuid().ToString(),
                FeedbackContent = feedbackDRO.FeedbackContent,
                FeedbackAbout = feedbackDRO.FeedbackAbout
            };
        }

        /// <summary>
        /// removes id
        /// </summary>
        /// <param name="feedback"></param>
        /// <returns></returns>
        public FeedbackDRO Map(Feedback feedback)
        {
            return new FeedbackDRO
            {
                FeedbackContent = feedback.FeedbackContent,
                FeedbackAbout = feedback.FeedbackAbout
            };
        }
    }
}