using communicate_rental_backend_dev.Clients;
using System.Threading.Tasks;
using System.Text.Json;
using communicate_rental_backend_dev.Mappers;
using communicate_rental_backend_dev.Models.Database;

namespace communicate_rental_backend_dev.Repositories.BlobStorage
{
    public class BlobBookingRepository : IBlobBookingRepository
    {
        private readonly IBlobStorageClient client;
        private readonly IMapperUtility mapperUtility;

        public BlobBookingRepository(
            IBlobStorageClient client,
            IMapperUtility mapperUtility
        )
        {
            this.client = client;
            this.mapperUtility = mapperUtility;
        }


        public async Task<bool> UploadAsyncDeletedRequests(Booking booking)
        {
            var options = mapperUtility.GetEncoderSettings();
            booking.UserId = null;
            var deletedBooking = JsonSerializer.Serialize(booking, options);
            var result = await client.UploadBlobAsync(deletedBooking, booking.Id, "deleted-booking-requests");
            return result;
        }

        public async Task<bool> UploadAsyncDeletedBooking(Booking booking)
        {
            var options = mapperUtility.GetEncoderSettings();
            booking.UserId = null;
            var deletedBooking = JsonSerializer.Serialize(booking, options);
            var result = await client.UploadBlobAsync(deletedBooking, booking.Id, "deleted-bookings");
            return result;
        }
    }
}