using communicate_rental_backend_dev.Clients;
using System.Threading.Tasks;
using System.Text.Json;
using communicate_rental_backend_dev.Mappers;
using communicate_rental_backend_dev.Models.Database;

namespace communicate_rental_backend_dev.Repositories.BlobStorage
{
    public class BlobFeedbackRepository : IBlobFeedbackRepository
    {
        private readonly IBlobStorageClient client;
        private readonly IMapperUtility mapperUtility;

        public BlobFeedbackRepository(
            IBlobStorageClient client,
            IMapperUtility mapperUtility
        )
        {
            this.client = client;
            this.mapperUtility = mapperUtility;
        }


        public async Task<bool> UploadAsync(Feedback feedback)
        {
            var FeedbackContent = JsonSerializer.Serialize(feedback, mapperUtility.GetEncoderSettings());

            var result = await client.UploadBlobAsync(FeedbackContent, feedback.Id, "resolved-feedback");
            return result;
        }
    }
}
