using System.Collections.Generic;
using System.IO;
using System.Threading.Tasks;

namespace communicate_rental_backend_dev.Repositories.BlobStorage
{
    public interface IImageRepository
    {
        Task<bool> Delete(string containerName);
        Task<bool> DeleteFile(string container, string fileName);
        Task<IEnumerable<string>> GetAllURLs(string imageGroupId);
        Task<string> GetContainerURL(string containerName);
        Task<string> GetURL(string imageGroupId, string blobName);
        Task<bool> UploadAsync(Stream stream, string imageGroupId, string imageId);
    }
}
