using communicate_rental_backend_dev.Clients;
using System.Collections.Generic;
using System.IO;
using System.Threading.Tasks;

namespace communicate_rental_backend_dev.Repositories.BlobStorage
{
    public class ImageRepository : IImageRepository
    {
        private readonly IBlobStorageClient client;

        public ImageRepository(IBlobStorageClient client)
        {
            this.client = client;
        }

        public async Task<IEnumerable<string>> GetAllURLs(string imageGroupId) 
        {
            return await client.GetAllURLs(imageGroupId);
        }

        // For RentalObject, imageGroupId = EnglishTitle ie 'Borrenose', imageId = image name, for example
        public async Task<bool> UploadAsync(Stream stream, string imageGroupId, string imageId)
        {
            if (stream == null || stream.Length <= 0)
            {
                return false; // Or throw exception
            }
            return await client.UploadBlobAsync(stream, imageGroupId, imageId);
        }

        public async Task<string> GetURL(string imageGroupId, string blobName)
        {
            return await client.GetURL(imageGroupId, blobName);
        }

        public async Task<string> GetContainerURL(string containerName)
        {
            return await client.GetContainerUri(containerName);
        }

        public async Task<bool> Delete(string containerName) 
        {
            return await client.DeleteContainer(containerName);
        }

        public async Task<bool> DeleteFile(string container, string fileName)
        {
            return await client.DeleteBlob(container, fileName);
        }
    }
}