using communicate_rental_backend_dev.Clients;
using communicate_rental_backend_dev.Models.Database;
using System.Collections.Generic;
using System.Threading.Tasks;


namespace communicate_rental_backend_dev
{
    public class ChecklistRepository : IChecklistRepository
    {
        private readonly ITableStorageClient<Checklist> client;

        public ChecklistRepository(ITableStorageClient<Checklist> client)
        {
            this.client = client;
        }

        // Get array of checklist by userId, rentalObject
        public async Task<Checklist> GetChecklist(string checklistId)
        { 
            return await client.GetById(checklistId, checklistId);
        }

        public async Task<IEnumerable<Checklist>> GetByBookingId(string bookingId)
        { 
            return await client.GetByPredicate(x => x.BookingId == bookingId);
        }

        public async Task<IEnumerable<Checklist>> GetAll()
        {
            return await client.GetAll();
        }

        // Adds checklist passed from frontend
        public async Task Add(Checklist checklist)
        {
            await client.Upsert(checklist, checklist.Id, checklist.Id);
        }

        
        public async Task Delete(string id)
        {
            await client.Delete(id, id);
        }

    }
}