using communicate_rental_backend_dev.Clients;
using communicate_rental_backend_dev.Models.Database;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace communicate_rental_backend_dev
{

    public class FeedbackRepository : IFeedbackRepository
    {
        private readonly ITableStorageClient<Feedback> client;

        public FeedbackRepository(ITableStorageClient<Feedback> client)
        {
            this.client = client;
        }

        // Get array of checklist by userId, rentalObject
        public async Task<Feedback> Get(string id)
        { 
            return await client.GetById(id, id);
        }

        public async Task<IEnumerable<Feedback>> GetAll()
        {
            return await client.GetAll();
        }

        // Adds checklist passed from frontend
        public async Task Add(Feedback feedback)
        {
            await client.Upsert(feedback, feedback.Id, feedback.Id);
        }

        
        public async Task Delete(string id)
        {
            await client.Delete(id, id);
        }

    }
}