using communicate_rental_backend_dev.Models.Database;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace communicate_rental_backend_dev
{
    public interface IAllocationPeriodRepository
    {
        Task <IEnumerable<AllocationPeriod>> GetByDeadline(DateTime date, string rentalObject);
        Task<IEnumerable<AllocationPeriod>> GetCurrent(DateTime today, string englishTitle);
        Task <IEnumerable<AllocationPeriod>> GetByPredicate(DateTime today);
        Task<IEnumerable<AllocationPeriod>> GetAll();
        Task <AllocationPeriod> GetById(string id);
        Task<IEnumerable<AllocationPeriod>> GetByRentalObject(string englishTitle);
        Task Add(AllocationPeriod allocationPeriod);
        Task Delete(string id);
        AllocationPeriod AddYear(AllocationPeriod allocationPeriod, int year);
    }
}