using communicate_rental_backend_dev.Models.Database;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace communicate_rental_backend_dev
{
    public interface IBookingRepository
    {
        Task<IEnumerable<Booking>> GetAll();
        Task<Booking> GetById(string id, string englishTitle);
        Task<IEnumerable<Booking>> GetByUserId(string userId);
        Task<bool> Add(Booking booking);
        Task<bool> Delete(string bookingId, string englishTitle);
        Task<IEnumerable<Booking>> GetByRentalObject(string EnglishTitle);
        Task<IEnumerable<Booking>> GetByRentalObjectInAllocationPeriod(AllocationPeriod allocationPeriod);
        Task<bool> IsBookingInHoliday(DateTime startDate, DateTime endDate);
        Task<IEnumerable<Booking>> GetAllocatedBookingsOnLocation(string englishTitle);
        Task<IEnumerable<Booking>> GetAllocatedBookingsForUser(string userId);
        Task<IEnumerable<Booking>> GetConfirmedBookings();
        Task<IEnumerable<Booking>> GetBookingsPastEndDate(DateTime today);
    }
}