using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using communicate_rental_backend_dev.Models.Database;

namespace communicate_rental_backend_dev
{
    public interface IHolidayRepository
    {
        Task<Holiday> GetHoliday(string id);
        Task<IEnumerable<Holiday>> GetAll();
        Task Add(Holiday holiday);
        Task Delete(string id);
        Task<bool> AddPublicHolidaysInYearIfNotExisists(int year);
        IEnumerable<Holiday> GetPublicHolidays(int year);
        Task<IEnumerable<Holiday>> GetByPredicate(int year);
        Task<IEnumerable<Holiday>> GetByPredicate(DateTime startDate, DateTime endDate);
        IEnumerable<Holiday> AddWeekAsHoliday(int weekNumber, int year);
    }
}