using communicate_rental_backend_dev.Models.Database;
using communicate_rental_backend_dev.Models.DataTransfer;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace communicate_rental_backend_dev
{
    public interface IRentalObjectRepository
    {
        Task<IEnumerable<RentalObjectID>> GetIds();
        Task<RentalObject> GetById(string id);
        Task<IEnumerable<RentalObject>> GetAll();
        Task Add(RentalObject rentalObject);
        Task Delete(string id);
        Task<string[]> GetChecklist(string englishTitle);
        Task<string> GetRentalObjectTitle(string englishTitle);
        Task<string> GetPeriodPrice(string englishTitle);
    }
}
