using System.Security.Cryptography.X509Certificates;
using System;
using communicate_rental_backend_dev.Clients;
using communicate_rental_backend_dev.Models.Database;
using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using System.Threading.Tasks;


namespace communicate_rental_backend_dev
{

    public class UserRepository : IUserRepository
    {
        private readonly ITableStorageClient<User> client;
        // private readonly IPointsService pointsService;

        public UserRepository(ITableStorageClient<User> client
        // IPointsService pointsService
        )
        {
            this.client = client;
            // this.pointsService = pointsService;
        }

        public async Task<IActionResult> Upload(User user)
        {
            await client.Upsert(user, user.UserId, user.UserId);
            return null;
        }

        // Get method
        public async Task<IEnumerable<User>> GetAll() 
        {
            return await client.GetAll();
        }
        public async Task<User> GetById(string userId) 
        {
            return await client.GetById(userId, userId);
        }

        /// <summary>
        /// Get users hired on today
        /// </summary>
        /// <param name="today"></param>
        /// <returns></returns>
        public async Task<IEnumerable<User>> GetUsersHiredToday(DateTime today) 
        {
            var compareTime = new DateTime(2000, today.Month, today.Day);
            return await client.GetByPredicate(
                x => x.HiredDate <= compareTime.AddDays(1) &&
                x.HiredDate >= compareTime.AddDays(-1));
        }

        public async Task<bool> Delete(string id)
        {
            try 
            {
                await client.Delete(id, id);
                return true;
            }
            catch (System.Exception)
            {
                return false;
            }
        }
    }
}