using System;
using FluentAssertions;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace unit_tests.Utilities
{
    public static class ObjectExtensions
    {
        // Compares two objects, and throws a detailed exception if not equal
        public static bool AreEqual(this object input1, object input2)
        {
            input1.Should().BeEquivalentTo(input2);
            return true;
        }

        public static void DoesNotThrows<T>(Action expressionUnderTest, string exceptionMessage = "Expected exception was thrown by target of invocation.") where T : Exception
        {
            try
            {
                expressionUnderTest();
            }
            catch (T)
            {
                Assert.Fail(exceptionMessage);
            }
            catch (Exception)
            {
                Assert.IsTrue(true);
            }
            Assert.IsTrue(true);
        }
    }
}