# Communicate utleiesider

## Main functionality

- **Login/logout** with the [MSAL library](https://github.com/AzureAD/microsoft-authentication-library-for-js).
- **Landing page** with navigation.
- **Rental object page** with booking functionality.
- **Admin functionality** with adding rental object, overview of completed checklists, adding users etc.
- **Unit testing** in .spec.ts files

## Contents

### Root

| File/folder       | Description                              |
| ----------------- | ---------------------------------------- |
| `.vscode`         | Launch files for vscode.                 |
| `e2e`             | End-to-end test files.                   |
| `src`             | Source code.                             |
| `.editorconfig`   | Editor config settings.                  |
| `.gitignore`      | Define what to ignore at commit.         |
| `angular.json`    | Angular configuration file.              |
| `browserslist`    | BrowsersList configuration file.         |
| `karma.conf.js`   | Configuration for the karma test runner. |
| `package.json`    | Package manifest for npm.                |
| `README.md`       | This README file.                        |
| `tsconfig.*.json` | TypeScript configuration files.          |
| `tslint.json`     | TS Lint configuration files.             |

### src/app

| File/folder             | Description                                                         |
| ----------------------- | ------------------------------------------------------------------- |
| `components`            | All smaller components that aren't a full view.                     |
| `models`                | All necessary data models.                                          |
| `services`              | httpService is generic, others are specifics.                       |
| `views`                 | Main landing pages - reflected in the routing module.               |
| `app-routing-module.ts` | Router.                                                             |
| `app.component.[...]`   | Main html view, login/logout functionality.                         |
| `app.module.ts`         | Declaration of all components and modules, some MSAL functionality. |

## Developing

### Prerequisites

[Node.js](https://nodejs.org/en/) must be installed.

[Angular CLI](https://cli.angular.io/) must be installed.

### Run

1. Start the sample application with `ng serve`.
2. Open [http://localhost:4200](http://localhost:4200).

## Additional notes

### Privacy/GDPR

- The appliation does not store identifiable information (only microsoft account ID, hire date and current points).
- All identifiable information (name, email etc.) is retrieved from the [Microsoft Graph API](https://docs.microsoft.com/en-us/graph/api/overview?view=graph-rest-1.0) at runtime.

### MSAL

- MSAL currently redirects at login. This can be configured to use popups by changing the `interactionType` in `app.module.ts` to `InteractionType.Popup`.
