import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { Booking } from 'src/app/models/booking.model';
import { BookingService } from 'src/app/services/booking.service';

@Component({
  selector: 'component-cancellation-modal',
  templateUrl: './cancellation-modal.component.html',
  styleUrls: ['./cancellation-modal.component.scss'],
})
export class CancellationModalComponent implements OnInit {
  @Output() cancellationCallComplete = new EventEmitter<any>();
  booking: Booking;

  constructor(
    private modalRef: BsModalRef,
    private bookingService: BookingService
  ) {}

  ngOnInit(): void {}

  confirm() {
    this.bookingService
      .cancel(this.booking.id, this.booking.englishTitle)
      .subscribe((completed) => {
        this.cancellationCallComplete.emit(completed);
      });

    this.modalRef.hide();
  }

  cancel() {
    this.modalRef.hide();
  }
}
