import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UserService } from 'src/app/services/user.service';
@Component({
  selector: 'component-header',
  templateUrl: './header.component.html',
  styleUrls: ['./header.component.scss'],
})
export class HeaderComponent implements OnInit {
  @Input() loggedIn: boolean;
  @Output() loggingIn = new EventEmitter<any>();
  @Output() loggingOut = new EventEmitter<any>();
  @Output() toggleDrawer = new EventEmitter<any>();
  username: string;
  isMobile: boolean;

  constructor(private userService: UserService) {}

  async ngOnInit(): Promise<void> {
    // Listen to resize events for navbar mode
    window.addEventListener('resize', () => {
      this.onResize();
    });

    // Decide if drawer should be open or not first time around
    this.onResize();

    // Get username
    this.username = await this.userService.getUserName();
  }

  toggleDrawerStatus() {
    this.toggleDrawer.emit();
  }

  login() {
    this.loggingIn.emit();
  }

  logout() {
    this.loggingOut.emit();
  }

  onResize() {
    this.isMobile = window.innerWidth < 576 ? true : false;
  }
}
