import { Control, defaults as defaultControls } from 'ol/control';

export class NavigateControl extends Control {
    latitude: number;
    longitude: number;

    constructor(latitude: number, longitude: number) {
        super({});

        this.latitude = latitude;
        this.longitude = longitude;

        const button = document.createElement('button');
        button.innerHTML = '<i class="fas fa-directions"></i>';
        button.style.cssText =
        'font-size: 3.5rem; border: none; background: none; float: right; padding-right: 1rem; padding-top: 0.5rem; color: #2e2b2b;';

        const element = document.createElement('div');
        element.className = 'ol-custom';
        element.appendChild(button);

        Control.call(this, {
            element
        });
        button.addEventListener('click', () => this.openNavigation());
    }

    openNavigation() {
        window.open('https://www.google.com/maps/search/?api=1&query=' + this.latitude + ',' + this.longitude);
    }

}
