export class MenuItems {
  menuItems: Array<any>;

  constructor() {
    this.menuItems = [];
  }

  addMenu(
    items: Array<{
      text: string;
      link?: string; // internal route links
    }>
  ) {
    this.menuItems = [];
    items.forEach((item) => {
      this.menuItems.push(item);
    });
  }

  getMenu() {
    return this.menuItems;
  }
}

// User menu
// Menu items
const bookings = {
  text: 'Mine bookinger',
  link: '/bookings',
};
const home = {
  text: 'Hjem',
  link: '/',
};

// Actual menu
export const mainMenu = [home, bookings];

// Admin menu
// Menu items
const checklists = {
  text: 'Sjekklister/rapporter',
  link: '/checklists',
};
const allBookings = {
  text: 'Bookingoversikt',
  link: '/bookings/overview',
};
const users = {
  text: 'Brukeradministrasjon',
  link: '/users',
};
const registerRentalObject = {
  text: 'Registrer lokasjon',
  link: '/locations/new',
};

// Actual menu
export const adminMenu = [allBookings, checklists, users, registerRentalObject];
