import { Time } from 'ngx-bootstrap/timepicker/timepicker.models';
import { Timestamp } from 'rxjs/internal/operators/timestamp';
import { AllocationPeriod } from './allocationPeriod.model';

export class RentalObject {
  public address: string;
  public allocationPeriods: AllocationPeriod[];
  public applicationLimit: number;
  public bedrooms: number;
  public beds: number;
  public cardPicture: any;
  public checkList: string[];
  public description: string;
  public directions: string;
  public disabledDays: number[];
  public englishTitle: string;
  public equipment: string;
  public fireAlarm: string[];
  public fireAlarmNoFireInstructions: string;
  public fireDepartmentNumber: string;
  public fireEquipment: string;
  public fireResponsible: string;
  public fireTestResponsible: string;
  public latitude: number;
  public longtitude: number;
  public otherPractialInformation: string;
  public otherRules: string[];
  public periodPrices: PeriodPrice[];
  public petsAllowed: boolean;
  public pictures: any[];
  public rentalPeriodsInnDay: string;
  public rentalPeriodsInnTime: Date;
  public rentalPeriodsOutDay: string;
  public rentalPeriodsOutTime: Date;
  public rentalPeriods: string[];
  public beforeYouTravel: BeforeYouTravel[];
  public sleeps: number;
  public smokingAllowed: boolean;
  public title: string;

  constructor() {}
}


export class PeriodPrice {
  public period: string;
  public price: string;

  constructor(period: string, price: string) {
    this.period = period;
    this.price = price;
  }
}

export class BeforeYouTravel {
  public title: string;
  public description: string;

  constructor(title: string, description: string) {
    this.title = title;
    this.description = description;
  }
}

export class PaymentInfo {
  public info: string[] = [
    'Leietaker er ansvarlig for å selv hente nøklene der de deles ut, og sørge for at de leveres tilbake samme sted straks etter bruk.',
    'Leietakeren SKAL fylle ut hytterapportskjema og levere dette sammen med nøklene.',
    'På hytterapporten skal skader og forsømmelser rapporteres.',
    'Leieren er økonomisk ansvarlig for skader på inventar og annet tilhørende hytta.',
    'Dersom nøkler mistes eller ikke returnes vil det påløpe et gebyr på kr. 500,-.',
  ];
}
export const PAYMENT_INFO = new PaymentInfo();

export class RentalObjectId {
  public englishTitle: string;
  public title: string;

  constructor(englishTitle: string, title: string) {
    this.englishTitle = englishTitle;
    this.title = title;
  }
}

export class SendData {
  public images: any[];
  public passString: string;
}
