import { Component, OnInit } from '@angular/core';
import { BsModalRef, BsModalService } from 'ngx-bootstrap/modal';
import { AdminChecklistviewModalComponent } from 'src/app/components/admin-checklistview-modal/admin-checklistview-modal.component';

import { CompletedChecklist } from 'src/app/models/checklist.model';
import { ChecklistService } from 'src/app/services/checklist.service';

@Component({
  selector: 'app-admin-checklistview',
  templateUrl: './admin-checklistview.component.html',
  styleUrls: ['./admin-checklistview.component.scss'],
})
export class AdminChecklistviewComponent implements OnInit {
  checklists: CompletedChecklist[];
  modalRef: BsModalRef;
  isLoaded = false;

  constructor(
    private modalService: BsModalService,
    private checklistService: ChecklistService
    ) {}

  ngOnInit(): void {
    this.checklistService.getExisting().subscribe(
      result => {
        this.checklists = result;
        this.checklists = this.checklists.sort((a, b) => new Date(b.startDate).getTime() - new Date(a.startDate).getTime());
        this.isLoaded = true;
      },
      error => {
        this.checklists = [];
        this.isLoaded = true;
      });
  }

  seeChecklist(checklist: CompletedChecklist) {
    const initialState = { checklist };
    this.modalRef = this.modalService.show(AdminChecklistviewModalComponent, {
      initialState,
      class: 'modal-lg modal-dialog-centered modal-dialog-scrollable',
    });
  }
}
