import { HttpClient, HttpHandler } from '@angular/common/http';
import { NO_ERRORS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { MsalService, MSAL_INSTANCE } from '@azure/msal-angular';
import { msalInstanceFactory } from 'src/app/app.module';
import { HttpService } from 'src/app/services/http.service';
import { RentalObjectService } from 'src/app/services/rentalObject.service';

import { HomeComponent } from './home.component';

describe('HomeComponent', () => {
  let component: HomeComponent;
  let fixture: ComponentFixture<HomeComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        declarations: [HomeComponent],
        schemas: [NO_ERRORS_SCHEMA],
        providers: [
          MsalService,
          {
            provide: MSAL_INSTANCE,
            useFactory: msalInstanceFactory,
          },
          RentalObjectService,
          HttpService,
          HttpClient,
          HttpHandler,
        ],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(HomeComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
