import { Component, OnInit } from '@angular/core';
import { MsalService } from '@azure/msal-angular';
import { RentalObjectService } from 'src/app/services/rentalObject.service';

import { RentalObject } from '../../models/rentalObject.model';

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.scss'],
})
export class HomeComponent implements OnInit {
  rentalObjects = new Array<RentalObject>();
  isLoaded = false;

  constructor(
    private authService: MsalService,
    private rentalObjectService: RentalObjectService
  ) {}

  async ngOnInit(): Promise<void> {
    // Handle login
    this.authService.handleRedirectObservable().subscribe({
      //next: (result) => console.log(result),
      error: (error) => console.log(error),
    });

    // Get rental objects
    const result = await this.rentalObjectService.getAll();
    if (result) {
      this.rentalObjects = result;
      this.isLoaded = true;
    }
  }
}
