using System.Collections.Generic;
using System.Net;
using System.Net.Http;
using System;
using Microsoft.Azure.WebJobs;
using Microsoft.Azure.WebJobs.Host;
using Microsoft.Extensions.Logging;
using System.Threading.Tasks;
using Microsoft.Extensions.Configuration;

namespace communicate_rental_function_app_DateTriggers
{
    public static class DateTriggerTest
    {
        public static HttpClient httpClient = new HttpClient();
        public static readonly string apimKey = Environment.GetEnvironmentVariable("Apim-Key");
        public static readonly string ApiUrl = Environment.GetEnvironmentVariable("ApiUrl");

        [FunctionName("DateTriggerTest")]
        public static async Task Run([TimerTrigger("1,30 * * * * *")]TimerInfo myTimer, ILogger log,
        Microsoft.Azure.WebJobs.ExecutionContext context)
        {
            string url = ApiUrl + "/FunctionApp/Trigger";

            var requestMessage = new HttpRequestMessage(HttpMethod.Post, url);
            requestMessage.Headers.Add("Ocp-Apim-Subscription-Key", apimKey);

            try
            {
                var response = await httpClient.SendAsync(requestMessage);

                response.EnsureSuccessStatusCode();
                log.LogInformation($"C# Timer trigger function executed at: {DateTime.Now}");
            }
            catch (System.Exception e)
            {
                log.LogInformation(e.ToString());
                log.LogInformation($"C# Timer trigger function could not execute at: {DateTime.Now}");
                throw;
            }
        }
    }
}

